#!/system/bin/sh

getpwdpath=`busybox dirname $(busybox readlink -f "$0")`
ctp=`busybox find /sys/devices/i2c-0/0-0052/input -name ctpfwupdate`
updatepath="$getpwdpath/ctpupdate"
ctpinfo="$updatepath/ctpinfo.html"
ctplist="$updatepath/ctplist.txt"
force="$updatepath/force"
ECHO()
{
  echo "<body><font style="line-height:50%" color=$1 size=$2>$3<hr></body>" >> $ctpinfo 
}
SHOW()
{
  busybox kill -9 `ps | busybox awk '/com.android.htmlviewer/{print $2}'` > /dev/null 2>&1
  am start -a android.intent.action.VIEW -n com.android.htmlviewer/.HTMLViewerActivity -d file://$1 -t text/html 
}

/system/bin/input keyevent 82 
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />" > $ctpinfo 

if [ -z $ctp ];then
   ECHO red 6 "Error: Currently ctp is not support upgrade firmware" 
   SHOW $ctpinfo
   return
fi

echo ctpfwupdate > /sys/power/wake_lock
if [ -e $ctplist ];then
ECHO black 5 "`cat  $ctplist`"
fi
ECHO green 5  "@@@ old ctp info @@@" 
ECHO green 5 "ctp name: `cat  $(busybox dirname $ctp)/name`"
echo "info" > $ctp
ECHO green 5 "`cat $ctp`"

fwnum=`busybox find $updatepath -maxdepth 1 -name "*.bin" | busybox wc -l`
if [ $fwnum != 1  ];then
   ECHO red 6 "Error: the number of *.bin is error under $getpwdpath/update/" 
   SHOW $ctpinfo
   return	
fi

fwname=`busybox find $updatepath -maxdepth 1 -name "*.bin"`
if [ ! -e $fwname ];then
   ECHO red 6 "Error: Can't find fw in $getpwdpath/update" 
   SHOW $ctpinfo
   return	
fi

ECHO black 5 "fw name: `busybox basename $fwname`"
if [ -e $force ];then
ECHO black 5 "update mode: Enforce upgread"
else
ECHO black 5 "update mode: Check and upgread"
fi

ECHO red 5  "******WARN! Don't touch anythings******"
ECHO red 5  "*******Start upgread. Please wait********"
SHOW $ctpinfo

if [ -e $force ];then
echo "force" > $ctp
fi
echo $fwname > $ctp && sleep 1

ECHO blue 5 "@@@ new ctp info @@@"
ECHO blue 5 "ctp name:  `cat  $(busybox dirname $ctp)/name`"
echo "info" > $ctp
ECHO blue 5 "`cat $ctp`"

echo "status" > $ctp
ECHO red 6 "`cat $ctp`"
SHOW $ctpinfo

while [ -e $getpwdpath/yfautorun.sh ] 
do 
      echo "echo wait remove sdcard"
      sleep 3
done
echo ctpfwupdate > /sys/power/wake_unlock








